paps version 0.6.8-2 failed to build on amd64 with GCC-4.6/oneiric

Bug #771131 reported by Matthias Klose on 2011-04-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
paps (Debian)
Fix Released
Unknown
paps (Ubuntu)
High
Julian Taylor
Oneiric
High
Julian Taylor

Bug Description

paps version 0.6.8-2 failed to build on amd64 with GCC-4.6/oneiric
Link to failed build: https://launchpad.net/ubuntu/+archive/test-rebuild-20110413/+buildjob/2464413

Details about the rebuild:
https://lists.ubuntu.com/archives/ubuntu-devel/2011-April/033042.html

Direct link to the build log: https://launchpad.net/ubuntu/+archive/test-rebuild-20110413/+buildjob/2464413/+files/buildlog_ubuntu-natty-amd64.paps_0.6.8-2_FAILEDTOBUILD.txt.gz

This log snippet might be of interest, since it triggered the matcher 'Purging chroot-autobuild'.
Excerpt 944 lines into the build log:

/bin/bash ../libtool --tag=CC --mode=link x86_64-linux-gnu-gcc -Wall -g -O2 -Wl,-z,defs -Wl,-Bsymbolic-functions -o paps `pkg-config --libs pangoft2` paps-paps.o libpaps.a
mkdir .libs
x86_64-linux-gnu-gcc -Wall -g -O2 -Wl,-z -Wl,defs -Wl,-Bsymbolic-functions -o paps -pthread paps-paps.o -L/usr/lib/x86_64-linux-gnu /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so /usr/lib/x86_64-linux-gnu/libpango-1.0.so /usr/lib/x86_64-linux-gnu/libfreetype.so -lfontconfig /usr/lib/x86_64-linux-gnu/libgobject-2.0.so /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so /usr/lib/x86_64-linux-gnu/libgthread-2.0.so -lrt /usr/lib/x86_64-linux-gnu/libglib-2.0.so libpaps.a
/usr/bin/ld: libpaps.a(libpaps.o): undefined reference to symbol 'FT_Done_Glyph'
/usr/bin/ld: note: 'FT_Done_Glyph' is defined in DSO /usr/lib/x86_64-linux-gnu/libfreetype.so so try adding it to the linker command line
/usr/lib/x86_64-linux-gnu/libfreetype.so: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
make[3]: *** [paps] Error 1
make[3]: Leaving directory `/build/buildd/paps-0.6.8/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/build/buildd/paps-0.6.8'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/build/buildd/paps-0.6.8'
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
******************************************************************************
Build finished at 20110425-1021
FAILED [dpkg-buildpackage died]
Purging chroot-autobuild/build/buildd/paps-0.6.8

Related branches

Matthias Klose (doko) on 2011-04-26
Changed in paps (Ubuntu):
importance: Undecided → High
Changed in paps (Ubuntu):
milestone: none → oneiric-alpha-3
Julian Taylor (jtaylor) on 2011-06-30
Changed in paps (Ubuntu Oneiric):
assignee: nobody → Julian Taylor (jtaylor)
status: New → In Progress
Julian Taylor (jtaylor) wrote :

patch available in debian bug

tags: added: patch-forwarded-debian patch-forwarded-upstream
Changed in paps (Ubuntu Oneiric):
milestone: oneiric-alpha-3 → none
tags: added: universe
Lior Kaplan (kaplan) wrote :

Version 0.6.8-5 uploaded to Debian and includes the patch forwarded. Please sync the package to Ubuntu.

Julian Taylor (jtaylor) wrote :

there is still a issue with the package I did not notice before, libpaps.so is underlinked but its not so bad as it has no rdeps.

this patch should fix it:
Index: paps-0.6.8/src/Makefile.am
===================================================================
--- paps-0.6.8.orig/src/Makefile.am 2011-07-29 23:45:42.000000000 +0200
+++ paps-0.6.8/src/Makefile.am 2011-07-29 23:45:42.000000000 +0200
@@ -1,6 +1,7 @@
 man_MANS = paps.1
 lib_LTLIBRARIES = libpaps.la
 libpaps_la_SOURCES = libpaps.c
+libpaps_la_LIBADD = -lfreetype -lglib-2.0 $(PANGO_LIBS)
 libpapsinc_HEADERS = libpaps.h
 libpapsincdir = $(includedir)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package paps - 0.6.8-6

---------------
paps (0.6.8-6) unstable; urgency=low

  * Update previous patch to prevent libpaps to be underlinked (Closes: #635976)
    - Fix by Julian Taylor.

paps (0.6.8-5) unstable; urgency=low

  * Fix FTBS with ld --as-needed (Closes: #632222, LP: #771131)
    - Patch by Julian Taylor.
 -- Matthias Klose <email address hidden> Mon, 08 Aug 2011 13:15:08 +0000

Changed in paps (Ubuntu Oneiric):
status: In Progress → Fix Released
Matthias Klose (doko) wrote :

0.6.8-6 now built in oneiric

Changed in paps (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.